alias dk='docker'

## container
alias dkc='docker container'
alias dkcc='docker container create'
alias dkci='docker container inspect'
alias dkcls='docker container ls'
alias dkclsa='docker container ls -a'
alias dkclsaq='docker container ls -a -q'
alias dkclsq='docker container ls -q'
alias dkcrm!='docker container rm -f'
alias dkcrm='docker container rm'
alias dkcsp='docker container stop'
alias dkcst='docker container restart'
alias dkex='docker container exec -i -t'
alias dklo='docker logs -f'
alias dkr='docker run -i -t'
alias dktop='docker top'

## image
alias dkb='docker build . -t'
alias dki='docker image'
alias dkic='docker image create'
alias dkii='docker image inspect'
alias dkil='docker pull'
function dkila() {
    readarray -t IMG \
        <<< "$(docker image ls | grep -v localhost | awk '{print $1 ":" $2}')"

    docker pull "${IMG[@]}"
}
alias dkils='docker image ls'
alias dkilsa='docker image ls -a'
alias dkilsaq='docker image ls -a -q'
alias dkilsq='docker image ls -q'
alias dkip='docker image push'
alias dkirm!='docker image rm -f'
alias dkirm='docker image rm'
alias dkis='docker image save'
alias dkit='docker image tag'

## volume
alias dkv='docker volume'
alias dkvc='docker volume create'
alias dkvi='docker volume inspect'
alias dkvls='docker volume ls'
alias dkvlsq='docker volume ls -q'
alias dkvrm!='docker volume rm -f'
alias dkvrm='docker volume rm'

## network
alias dkn='docker network'
alias dknc='docker network create'
alias dkni='docker network inspect'
alias dknls='docker network ls'
alias dknlsq='docker network ls -q'
alias dknrm!='docker network rm -f'
alias dknrm='docker network rm'

## system
alias dksys='docker system'
alias dksysdf='docker system df'
alias dksysp!='docker system prune -f'
alias dksysp='docker system prune'

# compose
alias dc='docker-compose'
alias dcd='docker-compose down'
alias dcup='docker-compose up -d'
alias dcupb='docker-compose up -d --build'

## container
alias dccls='docker-compose ps'
alias dcclsq='docker-compose ps -q'
alias dcex='docker-compose exec'
alias dcr='docker-compose run --rm'
alias dcrd='docker-compose run -d --rm'
alias dcrm!='docker-compose rm -f'
alias dcrm='docker-compose rm'
alias dcrmv!='docker-compose rm -v -f'
alias dcrmv='docker-compose rm -v'
alias dcsp='docker-compose stop'
alias dcst='docker-compose restart'

## image
alias dcb!='docker-compose build --no-cache'
alias dcb='docker-compose build'
alias dcl='docker-compose pull'

# vim: ft=zsh
